
local t = Def.ActorFrame{
-- part2
	LoadActor(THEME:GetPathG("","icon_decide3"))..{
		InitCommand=cmd(x,SCREEN_CENTER_X-244;y,SCREEN_CENTER_Y+108+10);
		OnCommand=function(self)
			self:diffusealpha(0);
			self:sleep(0.3);
			self:linear(0.1);
			self:diffusealpha(1);
		end;
		OffCommand=cmd(linear,0.1;diffusealpha,0);
		GainFocusCommand=cmd(finishtweening;visible,true;diffusealpha,1;cropright,-0.3;cropleft,1;linear,0.2;cropleft,-0.3;glowshift;effectcolor1,color("1,0,0,1");effectcolor2,color("0.5,0,0.4,0.8");effectperiod,1);
		LoseFocusCommand=cmd(diffusealpha,1;linear,0.25;diffusealpha,0);
	};
-- part3
	LoadActor(THEME:GetPathG("","icon_decide1"))..{
		InitCommand=cmd(x,SCREEN_CENTER_X-244-18;y,SCREEN_CENTER_Y+108-35+10);
		OnCommand=function(self)
			self:diffusealpha(1);
			self:cropleft(1);
			self:cropright(-0.3);
			self:sleep(0.3);
			self:linear(0.5);
			self:cropleft(-0.3);
		end;
		OffCommand=cmd(linear,0.1;diffusealpha,0);
		GainFocusCommand=cmd(finishtweening;diffusealpha,1;cropright,-0.3;cropleft,1;linear,0.5;cropleft,-0.3);
		LoseFocusCommand=cmd(linear,0.2;addy,10;diffusealpha,0;linear,0.1;addy,-10);
	};
-- part4
		LoadActor(THEME:GetPathG("","icon_decide2"))..{
		InitCommand=cmd(x,SCREEN_CENTER_X-244+26;y,SCREEN_CENTER_Y+108+40+10);
		OnCommand=function(self)
			self:diffusealpha(1);
			self:cropleft(-0.3);
			self:cropright(1);
			self:sleep(0.3);
			self:linear(0.5);
			self:cropright(-0.3);
		end;
		OffCommand=cmd(linear,0.1;diffusealpha,0);
		GainFocusCommand=cmd(finishtweening;diffusealpha,1;cropleft,-0.3;cropright,1;linear,0.5;cropright,-0.3);
		LoseFocusCommand=cmd(linear,0.2;addy,-10;diffusealpha,0;linear,0.1;addy,10);
	};
-- part1
	LoadActor("_icon")..{
		InitCommand=cmd(x,SCREEN_CENTER_X-244;y,SCREEN_CENTER_Y+108+10);
		OnCommand=cmd(shadowlength,0;zoom,1;diffusealpha,0;sleep,0.5;queuecommand,"GainFocus";);
		OffCommand=cmd(linear,0.1;diffusealpha,0);
		GainFocusCommand=cmd(finishtweening;zoom,1;diffusealpha,1;accelerate,0.4;zoom,1.35;diffusealpha,0;sleep,4;zoom,1;queuecommand,"GainFocus";);
		LoseFocusCommand=cmd(finishtweening;diffusealpha,0;);
	};

	LoadActor("_icon")..{
		InitCommand=cmd(x,SCREEN_CENTER_X-244;y,SCREEN_CENTER_Y+108+10);
		OnCommand=cmd(shadowlength,0;addx,SCREEN_WIDTH;sleep,0.1;decelerate,0.3;addx,-SCREEN_WIDTH;);
		OffCommand=cmd(linear,0.1;diffusealpha,0);
		GainFocusCommand=cmd(finishtweening;linear,0.1;shadowlength,0;diffuse,color("1,1,1,1"));
		LoseFocusCommand=cmd(linear,0.1;shadowlength,3;diffuse,color("0.5,0.5,0.5,1"););
	};

-- part6
	LoadActor("_label")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+180;y,SCREEN_CENTER_Y+20-3+20;vertalign,bottom;);
		OnCommand=cmd(diffusealpha,0;sleep,0.4;glow,color("0.25,0.1,0.6,1");zoomy,10;accelerate,0.025;diffuse,color("1,1,1,1");accelerate,0.05;diffusealpha,0.5;zoom,1;linear,0.05;diffusealpha,1;linear,0.025;glow,color("0,0.5,1,0"));
		OffCommand=cmd(linear,0.1;diffusealpha,0);
		GainFocusCommand=cmd(finishtweening;visible,true;diffusealpha,0;sleep,0.4;glow,color("0.25,0.1,0.6,1");zoomy,10;accelerate,0.025;diffuse,color("1,1,1,1");accelerate,0.05;diffusealpha,0.5;zoom,1;linear,0.05;diffusealpha,1;linear,0.025;glow,color("0,0.5,1,0"));
		LoseFocusCommand=cmd(visible,false);
	};
-- part5
	LoadActor("_explain1")..{
		InitCommand=cmd(x,SCREEN_CENTER_X-158+12;y,SCREEN_CENTER_Y-85+20);
		OnCommand=cmd(addx,20;diffusealpha,0;zoomx,210;zoomy,1.5;linear,0.45;zoomx,1.75;glow,color("0.6,0,0.6,1");addx,-20;zoomx,1.25;linear,0.05;glow,color("0.3,0,0.3,1");diffusealpha,1;zoom,1;linear,0.1;glow,color("0.3,0,0.3,0"));
		OffCommand=cmd(linear,0.1;diffusealpha,0);
		GainFocusCommand=cmd(finishtweening;visible,true;addx,20;diffusealpha,0;zoomx,210;zoomy,1.5;linear,0.45;zoomx,1.75;glow,color("0.6,0,0.6,1");addx,-20;zoomx,1.25;linear,0.05;glow,color("0.3,0,0.3,1");diffusealpha,1;zoom,1;linear,0.1;glow,color("0.3,0,0.3,0"));
		LoseFocusCommand=cmd(visible,false);
	};
-- part5
	LoadActor("_explain2")..{
		InitCommand=cmd(x,SCREEN_CENTER_X-118+10;y,SCREEN_CENTER_Y-32+20);
		OnCommand=cmd(diffusealpha,0;addy,15;sleep,0.1;decelerate,0.3;addy,-15;diffusealpha,1;glow,color("0.6,0,0.6,0");linear,0.05;glow,color("0.6,0,0.6,1");linear,0.05;glow,color("0.3,0,0.3,1");diffusealpha,1;linear,0.1;glow,color("0.3,0,0.3,0"));
		OffCommand=cmd(linear,0.1;diffusealpha,0);
		GainFocusCommand=cmd(finishtweening;visible,true;diffusealpha,0;addy,15;sleep,0.1;decelerate,0.3;addy,-15;diffusealpha,1;glow,color("0.6,0,0.6,0");linear,0.05;glow,color("0.6,0,0.6,1");linear,0.05;glow,color("0.3,0,0.3,1");diffusealpha,1;linear,0.1;glow,color("0.3,0,0.3,0"));
		LoseFocusCommand=cmd(visible,false);
	};

	LoadActor(THEME:GetPathG("","styleinfo_back"))..{
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-63+20;);
		OnCommand=cmd(diffusealpha,0;glow,color("0.25,0.1,0.6,1");zoomy,1;accelerate,0.025;diffusealpha,1;accelerate,0.2;glow,color("0.25,0.1,0.6,0");zoomy,1.2;linear,0.025;diffusealpha,0;queuecommand,"Repeat";);
		OffCommand=cmd(linear,0.1;diffusealpha,0);
		GainFocusCommand=cmd(finishtweening;visible,true;diffusealpha,0;glow,color("0.25,0.1,0.6,1");zoomy,1;accelerate,0.2;diffusealpha,1;accelerate,0.05;glow,color("0.25,0.1,0.6,0");zoomy,1.2;linear,0.025;diffusealpha,0;zoom,1;sleep,7;queuecommand,"Repeat";);
		RepeatCommand=cmd(finishtweening;visible,true;zoom,1;glow,color("1,0,0.2,0.6");accelerate,0.2;glow,color("1,0,0.2,0");linear,0.025;diffusealpha,0;sleep,7;queuecommand,"Repeat";);
		LoseFocusCommand=cmd(finishtweening;visible,false);
	};
};

return t;